{include file='header'}

<script type="text/javascript">
	//<![CDATA[
	onloadEvents.push(function() {
		$('title').focus();
	});
	//]]>
</script>

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/socialBookmarkProvider{@$action|ucfirst}L.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.socialBookmark.provider.{@$action}{/lang}</h2>
	</div>
</div>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $success|isset}
	<p class="success">{lang}wcf.acp.socialBookmark.provider.{@$action}.success{/lang}</p>	
{/if}

<div class="contentHeader">
	<div class="largeButtons">
		<ul><li><a href="index.php?page=SocialBookmarkProviderList&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.menu.link.socialBookmark.provider.list{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/socialBookmarkProviderM.png" alt="" /> <span>{lang}wcf.acp.menu.link.socialBookmark.provider.list{/lang}</span></a></li></ul>
	</div>
</div>
<form method="post" action="index.php?form=SocialBookmarkProvider{@$action|ucfirst}">
	<div class="border content">
		<div class="container-1">
			<fieldset>
				<legend>{lang}wcf.acp.socialBookmark.provider.general{/lang}</legend>
				
				<div class="formElement{if $errorField == 'title'} formError{/if}" id="titleDiv">
					<div class="formFieldLabel">
						<label for="title">{lang}wcf.acp.socialBookmark.provider.title{/lang}</label>
					</div>
					<div class="formField">
						<input type="text" class="inputText" name="title" id="title" value="{$title}" />
						{if $errorField == 'title'}
							<p class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
								{if $errorType == 'notUnique'}{lang}wcf.acp.socialBookmark.provider.error.notUnique{/lang}{/if}
							</p>
						{/if}
					</div>
					<div class="formFieldDesc hidden" id="titleHelpMessage">
						{lang}wcf.acp.socialBookmark.provider.title.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('title');
				//]]></script>
				
				<div class="formElement{if $errorField == 'url'} formError{/if}" id="urlDiv">
					<div class="formFieldLabel">
						<label for="url">{lang}wcf.acp.socialBookmark.provider.url{/lang}</label>
					</div>
					<div class="formField">
						<input type="text" class="inputText" name="url" id="url" value="{@$url}" />
						{if $errorField == 'url'}
							<p class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
								{if $errorType == 'notValid'}{lang}wcf.acp.socialBookmark.provider.error.url{/lang}{/if}
							</p>
						{/if}
					</div>
					<div class="formFieldDesc hidden" id="urlHelpMessage">
						{lang}wcf.acp.socialBookmark.provider.url.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('url');
				//]]></script>
				
				<div class="formElement{if $errorField == 'providerImage'} formError{/if}" id="providerImageDiv">
					<div class="formFieldLabel">
						<label for="providerImage">{lang}wcf.acp.socialBookmark.provider.providerImage{/lang}</label>
					</div>
					<div class="formField">
						<input type="text" class="inputText" name="providerImage" id="providerImage" value="{$providerImage}" />
						{if $errorField == 'providerImage'}
							<p class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
							</p>
						{/if}
					</div>
					<div class="formFieldDesc" id="providerImageHelpMessage">
						{lang}wcf.acp.socialBookmark.provider.providerImage.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('providerImage');
				//]]></script>
				
				<div class="formElement" id="showOrderDiv">
					<div class="formFieldLabel">
						<label for="showOrder">{lang}wcf.acp.socialBookmark.provider.showOrder{/lang}</label>
					</div>
					<div class="formField">
						<input type="text" class="inputText" name="showOrder" id="showOrder" value="{@$showOrder}" />
					</div>
					<div class="formFieldDesc hidden" id="showOrderHelpMessage">
						{lang}wcf.acp.socialBookmark.provider.showOrder.description{/lang}
					</div>
				</div>
				<script type="text/javascript">//<![CDATA[
					inlineHelp.register('showOrder');
				//]]></script>
			</fieldset>
			
			{if $additionalFields|isset}{@$additionalFields}{/if}
		</div>
	</div>
		
	<div class="formSubmit">
		<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
		<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
		<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
 		{@SID_INPUT_TAG}
 		{if $providerID|isset}<input type="hidden" name="providerID" value="{@$providerID}" />{/if}
 	</div>
</form>

{include file='footer'}