{include file='header'}
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/MultiPagesLinks.class.js"></script>
<script type="text/javascript">
	//<![CDATA[
	document.observe('dom:loaded', function() {
		var providerList = $('providerList');
		if (providerList != undefined) {
			providerList.addClassName('dragable');
			var startValue = {@$itemsPerPage} * ({@$pageNo} - 1) + 1;
			
			Sortable.create('providerList', { 
				tag: 'tr',
				onUpdate: function(list) {
					var rows = list.select('tr');
					var showOrder = 0;
					rows.each(function(row, i) {
						row.className = 'container-' + (i % 2 == 0 ? '1' : '2') + (row.hasClassName('marked') ? ' marked' : '');
						showOrder = row.down('.columnShowOrder');
						if (showOrder.innerHTML != (i + startValue)) {
							showOrder.update(i + startValue);
							new Ajax.Request('index.php?action=SocialBookmarkProviderSort&providerID='+row.identify().gsub('providerRow_', '')+'&showOrder='+showOrder.innerHTML+SID_ARG_2ND);
						}
					});	
				}
			});
		}
	});
	//]]>
</script>

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/socialBookmarkProviderL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.socialBookmark.provider.list{/lang}</h2>
	</div>
</div>

{if $deletedProviderID}
	<p class="success">{lang}wcf.acp.socialBookmark.provider.delete.success{/lang}</p>	
{/if}

<div class="contentHeader">
	{pages print=true assign=pagesLinks link="index.php?page=SocialBookmarkProviderList&pageNo=%d&sortField=$sortField&sortOrder=$sortOrder&packageID="|concat:PACKAGE_ID:SID_ARG_2ND_NOT_ENCODED}
	
	{if $this->user->getPermission('admin.socialBookmark.canAddSocialBookmarkProvider')}
		<div class="largeButtons">
			<ul><li><a href="index.php?form=SocialBookmarkProviderAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.menu.link.socialBookmark.provider.add{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/socialBookmarkProviderAddM.png" alt="" /> <span>{lang}wcf.acp.menu.link.socialBookmark.provider.add{/lang}</span></a></li></ul>
		</div>
	{/if}
</div>

{if $socialBookmarkProviderList|count}
	<div class="border titleBarPanel">
		<div class="containerHead"><h3>{lang}wcf.acp.socialBookmark.provider.list.count{/lang}</h3></div>
	</div>
	<div class="border borderMarginRemove">
		<table class="tableList">
			<thead>
				<tr class="tableHead">
					<th class="columnProviderID{if $sortField == 'providerID'} active{/if}" colspan="2"><div><a href="index.php?page=SocialBookmarkProviderList&amp;pageNo={@$pageNo}&amp;sortField=providerID&amp;sortOrder={if $sortField == 'providerID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wcf.acp.socialBookmark.provider.providerID{/lang}{if $sortField == 'providerID'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					<th class="columnTitle{if $sortField == 'title'} active{/if}"><div><a href="index.php?page=SocialBookmarkProviderList&amp;pageNo={@$pageNo}&amp;sortField=title&amp;sortOrder={if $sortField == 'title' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wcf.acp.socialBookmark.provider.title{/lang}{if $sortField == 'title'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					<th class="columnShowOrder{if $sortField == 'showOrder'} active{/if}"><div><a href="index.php?page=SocialBookmarkProviderList&amp;pageNo={@$pageNo}&amp;sortField=showOrder&amp;sortOrder={if $sortField == 'showOrder' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wcf.acp.socialBookmark.provider.showOrder{/lang}{if $sortField == 'showOrder'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					
					{if $additionalColumnHeads|isset}{@$additionalColumnHeads}{/if}
				</tr>
			</thead>
			<tbody id="providerList">
				{foreach from=$socialBookmarkProviderList item=socialBookmarkProvider}
					<tr class="container-{cycle values="1,2"}" id="providerRow_{@$socialBookmarkProvider->providerID}">
						<td class="columnIcon">
							{if $this->user->getPermission('admin.socialBookmark.canEditSocialBookmarkProvider')}
								{if $socialBookmarkProvider->enabled == 1}
									<a href="index.php?action=SocialBookmarkProviderChangeStatus&amp;providerID={@$socialBookmarkProvider->providerID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/enabledS.png" alt="" title="{lang}wcf.acp.socialBookmark.provider.disable{/lang}" /></a>
								{else}
									<a href="index.php?action=SocialBookmarkProviderChangeStatus&amp;providerID={@$socialBookmarkProvider->providerID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/disabledS.png" alt="" title="{lang}wcf.acp.socialBookmark.provider.enable{/lang}" /></a>
								{/if}
								
								<a href="index.php?form=SocialBookmarkProviderEdit&amp;providerID={@$socialBookmarkProvider->providerID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/editS.png" alt="" title="{lang}wcf.acp.socialBookmark.provider.edit{/lang}" /></a>
							{else}
								<img src="{@RELATIVE_WCF_DIR}icon/editDisabledS.png" alt="" title="{lang}wcf.acp.socialBookmark.provider.edit{/lang}" />
							{/if}
							{if $this->user->getPermission('admin.socialBookmark.canDeleteSocialBookmarkProvider')}
								<a onclick="return confirm('{lang}wcf.acp.socialBookmark.provider.delete.sure{/lang}')" href="index.php?action=SocialBookmarkProviderDelete&amp;providerID={@$socialBookmarkProvider->providerID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/deleteS.png" alt="" title="{lang}wcf.acp.socialBookmark.provider.delete{/lang}" /></a>
							{else}
								<img src="{@RELATIVE_WCF_DIR}icon/deleteDisabledS.png" alt="" title="{lang}wcf.acp.socialBookmark.provider.delete{/lang}" />
							{/if}
							
							{if $additionalButtons.$socialBookmarkProvider->providerID|isset}{@$additionalButtons.$socialBookmarkProvider->providerID}{/if}
						</td>
						<td class="columnProviderID columnID">{@$socialBookmarkProvider->providerID}</td>
						<td class="columnTitle columnText">
							{if $this->user->getPermission('admin.socialBookmark.canEditSocialBookmarkProvider')}
								<a href="index.php?form=SocialBookmarkProviderEdit&amp;providerID={@$socialBookmarkProvider->providerID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.socialBookmark.provider.edit{/lang}">{lang}{$socialBookmarkProvider->title}{/lang}</a>
							{else}
								{lang}{$socialBookmarkProvider->title}{/lang}
							{/if}
						</td>
						<td class="columnShowOrder columnNumbers">{#$socialBookmarkProvider->showOrder}</td>
						
						{if $additionalColumns.$socialBookmarkProvider->providerID|isset}{@$additionalColumns.$socialBookmarkProvider->providerID}{/if}
					</tr>
				{/foreach}
			</tbody>
		</table>
	</div>

	<div class="contentFooter">
		{@$pagesLinks}
		
		{if $this->user->getPermission('admin.socialBookmark.canAddSocialBookmarkProvider')}
			<div class="largeButtons">
				<ul><li><a href="index.php?form=SocialBookmarkProviderAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}" title="{lang}wcf.acp.menu.link.socialBookmark.provider.add{/lang}"><img src="{@RELATIVE_WCF_DIR}icon/socialBookmarkProviderAddM.png" alt="" /> <span>{lang}wcf.acp.menu.link.socialBookmark.provider.add{/lang}</span></a></li></ul>
			</div>
		{/if}
	</div>
{else}
	<div class="border content">
		<div class="container-1">
			<p>{lang}wcf.acp.socialBookmark.provider.list.count.noEntries{/lang}</p>
		</div>
	</div>
{/if}

{include file='footer'}
